Subject: Fwd: Re: [Fwd: I-D ACTION:draft-bierman-disman-see-00.txt]

From: Randy Presuhn <[email-masked]>
Date: Mon, 26 Feb 2001 10:45:08 -0800 (PST)

Hi -

I'm forwarding a message from Any Bierman.

|From [email-masked] Sat Feb 24 15:13:07 PST 2001
|Message-ID: <[email-masked]>
|Date: Sat, 24 Feb 2001 09:07:57 -0800
|From: Andy Bierman <[email-masked]>
|X-Accept-Language: en
|To: [email-masked]
|Subject: [Fwd: [Fwd: I-D ACTION:draft-bierman-disman-see-00.txt]]
|
|This is a multi-part message in MIME format.
|--------------A82C3A24CC6A526D1552ADAD
|Content-Type: text/plain; charset=us-ascii
|Content-Transfer-Encoding: 7bit
|
|Hi Randy,
|
|this message got dropped by the disman mailing list.
|can you post it?
|
|thanks,
|Andy
|
|
|--------------A82C3A24CC6A526D1552ADAD
|Content-Type: message/rfc822
|Content-Transfer-Encoding: 7bit
|Content-Disposition: inline
|
|X-Mozilla-Status2: 00000000
|Message-ID: <[email-masked]>
|Date: Tue, 20 Feb 2001 08:49:22 -0800
|From: Andy Bierman <[email-masked]>
|X-Mailer: Mozilla 4.74 [en]C-CCK-MCD {Sony}  (Win98; U)
|X-Accept-Language: en
|MIME-Version: 1.0
|To: Marcus Brunner <[email-masked]>
|CC: [email-masked]
|Subject: Re: [Fwd: I-D ACTION:draft-bierman-disman-see-00.txt]
|References: <3345448111.982597991@[192.168.102.79]>
|Content-Type: text/plain; charset=us-ascii
|Content-Transfer-Encoding: 7bit
|
|Marcus Brunner wrote:
|>
|> -----BEGIN PGP SIGNED MESSAGE-----
|> Hash: SHA1
|>
|> Andy,
|>
|> You did a great job defining an scripting environment. I have a few
|> comments:
|> - - why have you dismissed the lunch and run table of the Script MIB and
|> introduced your own constructs? However, I have to admit that it makes it
|> easier, but is it worth dismissing the Script MIB constructs?
|
|The smLaunchTable is designed for manual (i.e. NMS) script invocation
|and the smRunTable is designed to record the result of each manual invocation.
|The seeTaskControlTable and seeLogTable replace these tables in order
|to support the new script invocation modes and provide more debugging
|control.
|
|>
|> - - I fully agree on the need for script statistics -> this could have been
|> added to the Script MIB as well.
|>
|> - - Why have you invented a new language? I would expect, that you are able
|> to achieve the same result, by defining some requierments to existing
|> languages and run-time environments of the language.
|
|This is the #1 open issue and the rathole with the strongest gravity.
|
|At first I didn't include the language, then I made it an appendix,
|and then finally moved it to the definitions section.
|It is included as a starting point -- an attempt to specify
|the minimum set of constructs needed to support a workable
|programming environment.  (The only feature not part of the ANSI C grammar
|is the <OID-expression> construct.)
|
|I might support tossing the language and specifying java extensions instead.
|Computing resources are very expensive on embedded devices, so it's
|extremely unlikely that anything like a java VM would be deployed on them.
|Choosing java would probably limit deployment to mid-level managers only,
|which may not be a bad thing.
|
|>
|> Marcus
|
|Andy
|
|>
|> - --On Friday, February 16, 2001 10:06 PM -0800 Andy Bierman
|> <[email-masked]> wrote:
|>
|> > Hi,
|> >
|> > I think there is a need for a set of standardized execution environment
|> > features, including a programming grammar, for use with the Script MIB
|> > and Scheduling MIB. This draft is a proposal to the DISMAN WG as a
|> > starting point for this work.
|> >
|> > thanks,
|> > Andy
|>
|> - --------------------------------------
|> Dr. Marcus Brunner
|> C&C Research Laboratories
|> NEC Europe Ltd.
|>
|> E-Mail: [email-masked]
|> WWW:    http://www.ccrle.nec.de/
|> personal home page: http://www.tik.ee.ethz.ch/~brunner
|>
|> Adenauerplatz 6
|> D-69115 Heidelberg
|> Germany
|>
|> Phone: +49 (0)6221/ 9051129
|> Fax:   +49 (0)6221/ 9051155
|>
|> -----BEGIN PGP SIGNATURE-----
|> Version: Mulberry PGP Plugin v2.0
|> Comment: processed by Mulberry PGP Plugin
|>
|> iQA/AwUBOpElSFhvF0PcuRgqEQI1wwCfX22Y7jJLw5ZKwZ6H4XhvC4B8e4MAnjNz
|> a4iTavyRT7FvlYbX4AnU5FeM
|> =X0Zp
|> -----END PGP SIGNATURE-----
|
|--------------A82C3A24CC6A526D1552ADAD--
|

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------